Operations - List

List the operations for the provider

GET https://management.azure.com/providers/Microsoft.RedHatOpenShift/operations?api-version=2025-07-25

URI Parameters

Name In Required Type Description
api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

OperationList

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Lists all of the available RP operations.

Sample request

GET https://management.azure.com/providers/Microsoft.RedHatOpenShift/operations?api-version=2025-07-25

Sample response

{
  "value": [
    {
      "name": "Microsoft.RedHatOpenShift/openShiftClusters/read",
      "display": {
        "operation": "Read OpenShift cluster",
        "provider": "Azure Red Hat OpenShift",
        "resource": "openShiftClusters"
      }
    }
  ]
}

Definitions

Name Description
CloudError

CloudError represents a cloud error.

CloudErrorBody

CloudErrorBody represents the body of a cloud error.

Display

Display represents the display details of an operation.

Operation

Operation represents an RP operation.

OperationList

OperationList represents an RP operation list.

CloudError

CloudError represents a cloud error.

Name Type Description
error

CloudErrorBody

An error response from the service.

CloudErrorBody

CloudErrorBody represents the body of a cloud error.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

Display

Display represents the display details of an operation.

Name Type Description
description

string

Friendly name of the operation.

operation

string

Operation type: read, write, delete, listKeys/action, etc.

provider

string

Friendly name of the resource provider.

resource

string

Resource type on which the operation is performed.

Operation

Operation represents an RP operation.

Name Type Description
display

Display

The object that describes the operation.

name

string

Operation name: {provider}/{resource}/{operation}.

origin

string

Sources of requests to this operation. Comma separated list with valid values user or system, e.g. "user,system".

OperationList

OperationList represents an RP operation list.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

Operation[]

The Operation items on this page